<?php


namespace AutoAdmin\Bundle\Media\Form\Type;


use Symfony\Component\Form\AbstractType;
use Symfony\Component\OptionsResolver\OptionsResolver;

class ImageCollectionType extends AbstractType
{
    public function configureOptions(OptionsResolver $resolver)
    {
        parent::configureOptions($resolver);
        $resolver->setDefault('entry_type' , ImageType::class);
//        $resolver->setDefaults([
//            'entry_type' => ImageType::class,
//            'entry_options' => ['label' => false],
//            'allow_add' => true,
//        ]);
    }

    public function getParent(): string
    {
        return MediaCollectionType::class;
    }

    public function getBlockPrefix(): string
    {
        return 'aa_image_collection';
    }
}
